Package com.macrofocus.high_d.mds

# Class AbstractMDS<Component,Color,Font,Row,Column>

java.lang.Object
com.macrofocus.high_d.scatterplot.AbstractScatterPlot<Component,Color,Font,Row,Column>
com.macrofocus.high_d.mds.AbstractMDS<Component,Color,Font,Row,Column>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<Component>`, `MDS<Component,Color,Font,Row,Column>`, `ScatterPlot<Component,Color,Font,Row,Column>`

Direct Known Subclasses:
  `JavaFXMDS`

public abstract class AbstractMDS<Component,Color,Font,Row,Column> extends AbstractScatterPlot<Component,Color,Font,Row,Column> implements MDS<Component,Color,Font,Row,Column>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ScatterPlotController`
  `controller`
  `protected static LicenseModel`
  `licenseModel`
  `protected ScatterPlotView<Component,Color,Font,Row,Column>`
  `view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractMDS()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract ScatterPlotController`
  `createController(ScatterPlotView view)`
  Creates a controller that can be used by the parallel coordinates component
  `protected abstract MDSScatterPlotModel<Color,Row,Column>`
  `createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a model that can be used by the parallel coordinates component
  `protected abstract ScatterPlotView<Component,Color,Font,Row,Column>`
  `createView()`
  Creates a view that can be used by the parallel coordinates component
  `ScatterPlotController`
  `getController()`
  Returns the controller used by thescatter plot component.
  `MDSScatterPlotModel<Color,Row,Column>`
  `getModel()`
  Returns the model used by the scatter plot component.
  `ScatterPlotView<Component,Color,Font,Row,Column>`
  `getView()`
  Returns the view used by the parallel coordinates component.
  `protected void`
  `load(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Loads the specified data frame.
  `void`
  `setController(ScatterPlotController controller)`
  Sets the controller to be used by the scatter plot component and register the view currently in use.
  `static void`
  `setLicenseKey(String username, String key)`
  Register the license key that legally entitle the use of ScatterPlot.
  `void`
  `setModel(MDSScatterPlotModel<Color,Row,Column> model)`
  Sets the model to be used for the scatter plot component and register it to the view.
  `void`
  `setView(ScatterPlotView<Component,Color,Font,Row,Column> view)`
  Sets the view to be used by the scatter plot component and register the model currently in use.
  `void`
  `start()`
  `void`
  `stop()`

  ### Methods inherited from class com.macrofocus.high_d.scatterplot.AbstractScatterPlot

  `setModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.crossplatform.CPComponent

  `getNativeComponent, setStyleClass`

  ### Methods inherited from interface com.macrofocus.high_d.mds.MDS

  `getNativeComponent`

- ## Field Details

  - ### view

    protected ScatterPlotView<Component,Color,Font,Row,Column> view

  - ### controller

    protected ScatterPlotController controller

  - ### licenseModel

    protected static LicenseModel licenseModel

- ## Constructor Details

  - ### AbstractMDS

    public AbstractMDS()

- ## Method Details

  - ### setLicenseKey

    public static void setLicenseKey(String username, String key)
    Register the license key that legally entitle the use of ScatterPlot. This should be called prior to the first instantiation of this component.
    Parameters:
      `username` - the user name
      `key` - the license key

  - ### load

    protected void load(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Loads the specified data frame.
    Overrides:
      `load` in class `AbstractScatterPlot<Component,Color,Font,Row,Column>`
    Parameters:
      `dataFrame` - a data frame

  - ### getModel

    public MDSScatterPlotModel<Color,Row,Column> getModel()
    Description copied from interface: `ScatterPlot`
    Returns the model used by the scatter plot component.
    Specified by:
      `getModel` in interface `MDS<Component,Color,Font,Row,Column>`
    Specified by:
      `getModel` in interface `ScatterPlot<Component,Color,Font,Row,Column>`
    Overrides:
      `getModel` in class `AbstractScatterPlot<Component,Color,Font,Row,Column>`
    Returns:
      the model in use

  - ### setModel

    public void setModel(MDSScatterPlotModel<Color,Row,Column> model)
    Description copied from interface: `MDS`
    Sets the model to be used for the scatter plot component and register it to the view.
    Specified by:
      `setModel` in interface `MDS<Component,Color,Font,Row,Column>`
    Parameters:
      `model` - the model to be used

  - ### getView

    public ScatterPlotView<Component,Color,Font,Row,Column> getView()
    Description copied from interface: `ScatterPlot`
    Returns the view used by the parallel coordinates component.
    Specified by:
      `getView` in interface `MDS<Component,Color,Font,Row,Column>`
    Specified by:
      `getView` in interface `ScatterPlot<Component,Color,Font,Row,Column>`
    Overrides:
      `getView` in class `AbstractScatterPlot<Component,Color,Font,Row,Column>`
    Returns:
      the view in use

  - ### setView

    public void setView(ScatterPlotView<Component,Color,Font,Row,Column> view)
    Description copied from interface: `ScatterPlot`
    Sets the view to be used by the scatter plot component and register the model currently in use. It will also register itself to the controller.
    Specified by:
      `setView` in interface `MDS<Component,Color,Font,Row,Column>`
    Specified by:
      `setView` in interface `ScatterPlot<Component,Color,Font,Row,Column>`
    Overrides:
      `setView` in class `AbstractScatterPlot<Component,Color,Font,Row,Column>`
    Parameters:
      `view` - the view to be used

  - ### getController

    public ScatterPlotController getController()
    Description copied from interface: `ScatterPlot`
    Returns the controller used by thescatter plot component.
    Specified by:
      `getController` in interface `MDS<Component,Color,Font,Row,Column>`
    Specified by:
      `getController` in interface `ScatterPlot<Component,Color,Font,Row,Column>`
    Overrides:
      `getController` in class `AbstractScatterPlot<Component,Color,Font,Row,Column>`
    Returns:
      the controller in use

  - ### setController

    public void setController(ScatterPlotController controller)
    Description copied from interface: `ScatterPlot`
    Sets the controller to be used by the scatter plot component and register the view currently in use.
    Specified by:
      `setController` in interface `MDS<Component,Color,Font,Row,Column>`
    Specified by:
      `setController` in interface `ScatterPlot<Component,Color,Font,Row,Column>`
    Overrides:
      `setController` in class `AbstractScatterPlot<Component,Color,Font,Row,Column>`
    Parameters:
      `controller` - the controller in use

  - ### createModel

    protected abstract MDSScatterPlotModel<Color,Row,Column> createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Creates a model that can be used by the parallel coordinates component
    Specified by:
      `createModel` in class `AbstractScatterPlot<Component,Color,Font,Row,Column>`
    Parameters:
      `dataFrame` - a Swing TableModel
    Returns:
      a ScatterPlotModel instance

  - ### createView

    protected abstract ScatterPlotView<Component,Color,Font,Row,Column> createView()
    Creates a view that can be used by the parallel coordinates component
    Specified by:
      `createView` in class `AbstractScatterPlot<Component,Color,Font,Row,Column>`
    Returns:
      a ScatterPlotView instance

  - ### createController

    protected abstract ScatterPlotController createController(ScatterPlotView view)
    Creates a controller that can be used by the parallel coordinates component
    Specified by:
      `createController` in class `AbstractScatterPlot<Component,Color,Font,Row,Column>`
    Parameters:
      `view` - the view that should be controlled
    Returns:
      a ScatterPlotController instance

  - ### start

    public void start()

  - ### stop

    public void stop()